<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <roleRef roleURI="http://halma.com/xbrl/2023/roles/ProfitOrLoss" xlink:href="halma-2024-03-31.xsd#ProfitOrLoss" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://halma.com/xbrl/2023/roles/StatementOfComprehensiveIncome" xlink:href="halma-2024-03-31.xsd#StatementOfComprehensiveIncome" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://halma.com/xbrl/2023/roles/StatementOfFinancialPosition" xlink:href="halma-2024-03-31.xsd#StatementOfFinancialPosition" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://halma.com/xbrl/2023/roles/StatementOfCashFlows" xlink:href="halma-2024-03-31.xsd#StatementOfCashFlows" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <calculationLink xlink:role="http://halma.com/xbrl/2023/roles/ProfitOrLoss" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_ProfitBeforeInterestAndTaxation" xlink:label="halma_ProfitBeforeInterestAndTaxation" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ifrs-full_ProfitLossFromOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:label="ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_ProfitOnDisposalOfOperations" xlink:label="halma_ProfitOnDisposalOfOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncome" xlink:label="ifrs-full_FinanceIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceCosts" xlink:label="ifrs-full_FinanceCosts" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <calculationArc xlink:type="arc" xlink:from="halma_ProfitBeforeInterestAndTaxation" xlink:to="ifrs-full_ProfitLossFromOperatingActivities" order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="halma_ProfitBeforeInterestAndTaxation" xlink:to="ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="halma_ProfitBeforeInterestAndTaxation" xlink:to="halma_ProfitOnDisposalOfOperations" order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_FinanceIncome" order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_FinanceCosts" order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="halma_ProfitBeforeInterestAndTaxation" order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLoss" xlink:to="ifrs-full_ProfitLossBeforeTax" order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLoss" xlink:to="ifrs-full_IncomeTaxExpenseContinuingOperations" order="14" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
  </calculationLink>
  <calculationLink xlink:role="http://halma.com/xbrl/2023/roles/StatementOfComprehensiveIncome" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="ifrs-full_OtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:label="ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_UnrealisedLossesGainsInTheFairValueOfEquityInvestmentsAtFairValueThroughOtherComprehensiveIncome" xlink:label="halma_UnrealisedLossesGainsInTheFairValueOfEquityInvestmentsAtFairValueThroughOtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges" xlink:label="ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome" xlink:label="ifrs-full_IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperationsAndHedgesOfNetInvestmentsInForeignOperations" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperationsAndHedgesOfNetInvestmentsInForeignOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="halma_UnrealisedLossesGainsInTheFairValueOfEquityInvestmentsAtFairValueThroughOtherComprehensiveIncome" order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges" order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="ifrs-full_IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome" order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperationsAndHedgesOfNetInvestmentsInForeignOperations" order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncome" order="14" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_ProfitLoss" order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
  </calculationLink>
  <calculationLink xlink:role="http://halma.com/xbrl/2023/roles/StatementOfFinancialPosition" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:label="ifrs-full_NoncurrentAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Goodwill" xlink:label="ifrs-full_Goodwill" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="ifrs-full_IntangibleAssetsOtherThanGoodwill" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="ifrs-full_PropertyPlantAndEquipment" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_InterestInAssociatesAndOtherInvestments" xlink:label="halma_InterestInAssociatesAndOtherInvestments" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentRecognisedAssetsDefinedBenefitPlan" xlink:label="ifrs-full_NoncurrentRecognisedAssetsDefinedBenefitPlan" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxAssetsNoncurrent" xlink:label="ifrs-full_CurrentTaxAssetsNoncurrent" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxAssets" xlink:label="ifrs-full_DeferredTaxAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets" xlink:label="ifrs-full_CurrentAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Inventories" xlink:label="ifrs-full_Inventories" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="ifrs-full_TradeAndOtherCurrentReceivables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxAssetsCurrent" xlink:label="ifrs-full_CurrentTaxAssetsCurrent" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndBankBalancesAtCentralBanks" xlink:label="ifrs-full_CashAndBankBalancesAtCentralBanks" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentDerivativeFinancialAssets" xlink:label="ifrs-full_CurrentDerivativeFinancialAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:label="ifrs-full_CurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="ifrs-full_TradeAndOtherCurrentPayables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:label="ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="ifrs-full_CurrentLeaseLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentProvisions" xlink:label="ifrs-full_CurrentProvisions" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:label="ifrs-full_CurrentTaxLiabilitiesCurrent" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentDerivativeFinancialLiabilities" xlink:label="ifrs-full_CurrentDerivativeFinancialLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssetsLiabilities" xlink:label="ifrs-full_CurrentAssetsLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="ifrs-full_NoncurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LongtermBorrowings" xlink:label="ifrs-full_LongtermBorrowings" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="ifrs-full_NoncurrentLeaseLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan" xlink:label="ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentPayables" xlink:label="ifrs-full_NoncurrentPayables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherLongtermProvisions" xlink:label="ifrs-full_OtherLongtermProvisions" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="ifrs-full_DeferredTaxLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Liabilities" xlink:label="ifrs-full_Liabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NetAssetsLiabilities" xlink:label="ifrs-full_NetAssetsLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="ifrs-full_EquityAttributableToOwnersOfParent" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="ifrs-full_IssuedCapital" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_SharePremium" xlink:label="ifrs-full_SharePremium" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TreasuryShares" xlink:label="ifrs-full_TreasuryShares" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CapitalRedemptionReserve" xlink:label="ifrs-full_CapitalRedemptionReserve" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ReserveOfCashFlowHedges" xlink:label="ifrs-full_ReserveOfCashFlowHedges" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:label="ifrs-full_ReserveOfExchangeDifferencesOnTranslation" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherReserves" xlink:label="ifrs-full_OtherReserves" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarnings" xlink:label="ifrs-full_RetainedEarnings" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncontrollingInterests" xlink:label="ifrs-full_NoncontrollingInterests" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_Goodwill" order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_IntangibleAssetsOtherThanGoodwill" order="6" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_PropertyPlantAndEquipment" order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="halma_InterestInAssociatesAndOtherInvestments" order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_NoncurrentRecognisedAssetsDefinedBenefitPlan" order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_CurrentTaxAssetsNoncurrent" order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_DeferredTaxAssets" order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_Inventories" order="14" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_TradeAndOtherCurrentReceivables" order="15" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_CurrentTaxAssetsCurrent" order="16" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_CashAndBankBalancesAtCentralBanks" order="17" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_CurrentDerivativeFinancialAssets" order="18" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_CurrentAssets" order="19" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_NoncurrentAssets" order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_TradeAndOtherCurrentPayables" order="22" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" order="23" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_CurrentLeaseLiabilities" order="24" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_CurrentProvisions" order="25" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_CurrentTaxLiabilitiesCurrent" order="26" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_CurrentDerivativeFinancialLiabilities" order="27" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssetsLiabilities" xlink:to="ifrs-full_CurrentLiabilities" order="28" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssetsLiabilities" xlink:to="ifrs-full_CurrentAssets" order="19" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_LongtermBorrowings" order="31" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_NoncurrentLeaseLiabilities" order="32" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan" order="33" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_NoncurrentPayables" order="34" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_OtherLongtermProvisions" order="35" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_DeferredTaxLiabilities" order="36" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_NoncurrentLiabilities" order="37" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_CurrentLiabilities" order="28" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NetAssetsLiabilities" xlink:to="ifrs-full_Liabilities" order="38" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NetAssetsLiabilities" xlink:to="ifrs-full_Assets" order="20" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="ifrs-full_IssuedCapital" order="41" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="ifrs-full_SharePremium" order="42" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="ifrs-full_TreasuryShares" order="43" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="ifrs-full_CapitalRedemptionReserve" order="44" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="ifrs-full_ReserveOfCashFlowHedges" order="45" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="ifrs-full_ReserveOfExchangeDifferencesOnTranslation" order="46" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="ifrs-full_OtherReserves" order="47" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="ifrs-full_RetainedEarnings" order="48" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_EquityAttributableToOwnersOfParent" order="49" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_NoncontrollingInterests" order="50" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
  </calculationLink>
  <calculationLink xlink:role="http://halma.com/xbrl/2023/roles/StatementOfCashFlows" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_PurchaseOfComputerSoftwareClassifiedAsInvestingActivities" xlink:label="halma_PurchaseOfComputerSoftwareClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_PurchaseOfOtherIntangiblesClassifiedAsInvestingActivities" xlink:label="halma_PurchaseOfOtherIntangiblesClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsForDevelopmentProjectExpenditure" xlink:label="ifrs-full_PaymentsForDevelopmentProjectExpenditure" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:label="ifrs-full_InterestReceivedClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfInterestsInInvestmentsAccountedForUsingEquityMethod" xlink:label="ifrs-full_PurchaseOfInterestsInInvestmentsAccountedForUsingEquityMethod" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="ifrs-full_DividendsPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:label="ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:label="ifrs-full_InterestPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_LoanArrangementFeesClassifiedAsFinancingActivities" xlink:label="halma_LoanArrangementFeesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_RepaymentOfAcquiredDebtOnAcquisitionClassifiedAsFinancingActivities" xlink:label="halma_RepaymentOfAcquiredDebtOnAcquisitionClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromIssueOfBondsNotesAndDebentures" xlink:label="ifrs-full_ProceedsFromIssueOfBondsNotesAndDebentures" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBondsNotesAndDebentures" xlink:label="ifrs-full_RepaymentsOfBondsNotesAndDebentures" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="halma_PurchaseOfComputerSoftwareClassifiedAsInvestingActivities" order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="halma_PurchaseOfOtherIntangiblesClassifiedAsInvestingActivities" order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_PaymentsForDevelopmentProjectExpenditure" order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_InterestReceivedClassifiedAsInvestingActivities" order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" order="14" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_PurchaseOfInterestsInInvestmentsAccountedForUsingEquityMethod" order="15" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_DividendsPaidClassifiedAsFinancingActivities" order="18" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" order="19" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_InterestPaidClassifiedAsFinancingActivities" order="20" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="halma_LoanArrangementFeesClassifiedAsFinancingActivities" order="21" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" order="22" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" order="23" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="halma_RepaymentOfAcquiredDebtOnAcquisitionClassifiedAsFinancingActivities" order="24" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_ProceedsFromIssueOfBondsNotesAndDebentures" order="25" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_RepaymentsOfBondsNotesAndDebentures" order="26" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" order="27" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="ifrs-full_CashFlowsFromUsedInFinancingActivities" order="28" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="ifrs-full_CashFlowsFromUsedInInvestingActivities" order="16" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="ifrs-full_CashFlowsFromUsedInOperatingActivities" order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
  </calculationLink>
</linkbase>